<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  if(isset($_SESSION["mailcli"])) //si les sessions sont pleines
  {
		mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
		
		if(isset($_GET['CCN'])){
		  $_POST['CCN'] = $_GET['CCN'];
		}
		
		if(!isset($_POST['NomIIN'])) {
		  $NomIIN = "GNU Free Card";
		}else{
		  $NomIIN = $_POST['NomIIN'];
		}
		
		// Vérification du cryptogramme visuel
		if(isset($_GET['cryvis'])){
			for($c=32;$c<=47;$c++){
				$_POST['cryvis'] = str_replace(chr($c), "", $_POST['cryvis']); // Supprimer tout les caractères ASCII de 32 à 47
			}
			
			for($c=58;$c<=128;$c++){
				$_POST['cryvis'] = str_replace(chr($c), "", $_POST['cryvis']); // Supprimer tout les caractères ASCII de 58 à 128
			}
			
			$_POST['cryvis'] = substr($_POST['cryvis'],0,4);
		}
		
		if(isset($_POST['CCN']) and isset($_POST['iban'])) //si tout les $POST ont été envoyé
		{
		  
		  $CCN = substr($_POST['CCN'],0,16); //affectation
		  
		  include("cb_verif.php"); //cb verif
		  
		  if (true == $etatBIN){
			$NomIIN = $NomIssuerIN; //redéfinition du NomIIN à partir du CCN que cela si prefixe existe
		  }
		  
		  if (true == $etatCCN) // si toute les conditions sont remplies
		  {
			// Autres affectations découlant du CCN
			
			$moisexpcb = $_POST['moisexpcb'];
			$anneeexpcb = $_POST['anneeexpcb'];
			$cryvis = $_POST['cryvis'];
			$mailcli = $_SESSION["mailcli"];
			$iban = $_POST['iban'];
	
			if (strlen($cryvis) == '3' or strlen($cryvis) == '4'){
			
			  if ($connexion)// si connexion à la base réussi
			  {	
				
				//deux numéros ne peuvent être identique
				$requete4 = "Select * from freepay_carte_bancaire where numcb = '".$CCN."';";
				$resultat4 = mysql_query($requete4,$connexion); //connexion de la requete
				$ligne4 = mysql_fetch_assoc($resultat4); //affichage des résultats
				  
				if (empty($ligne4))
				{
				  //insertion
				  mysql_query("INSERT INTO freepay_carte_bancaire values ('".$CCN."','".$NomIIN."','".$moisexpcb."','".$anneeexpcb."','".$cryvis."','".$iban."','".$mailcli."')");
				  
				  echo "<p class='reussi'>Votre carte bancaire (<strong>".$CCN."</strong>) a été ajoutée avec succès.<br/></p>";
				  
				  $requete="Select * from freepay_carte_bancaire where numcb = '".$CCN."';";
				  $resultat = mysql_query($requete,$connexion);
				  $ligne=mysql_fetch_assoc($resultat);
				  
				  echo " <h4 class='titre'>Récapitulatif</h4> ";
				  
				  include("cb_afficher.php"); // affiche le descriptif détaillé de la CB
						
				  unset($CCN, $_POST['cryvis']); //Destruction des variables après utilisation
				}
				else
				{
				  echo "<p class='info'>Cette carte bancaire (<strong>".$CCN."</strong>) a déjà été ajoutée dans la base.</p>";
				}
			  }
			}
			
		  }
		  
		}
    
    	include("cb_ajouter_interface.php");
    
  }else{
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
